<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>PackageDoc (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/packagedoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\PackageDoc</div>
<a href="../source/classes/packagedoc.php.html#line26" class="location">classes/packageDoc.php at line 26</a>

<h1>Class PackageDoc</h1>

<pre class="tree"><a href="../phpdoctor/doc.html">Doc</a><br>    └─<strong>PackageDoc</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>PackageDoc</strong><br>extends <a href="../phpdoctor/doc.html">Doc</a>

</p>

<div class="comment" id="overview_description"><p>Represents a PHP package. Provides access to information about the package,
the package's comment and tags, and the classes in the package.</p></div>

<hr>

<table class="inherit">
<tr><th colspan="2">Fields inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#inBody">inBody</a></td></tr></table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(str name, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</p><p class="description">Constructor</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addClass()">addClass</a>(<a href="../phpdoctor/classdoc.html">ClassDoc</a> class)</p><p class="description">Add a class to this package.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addFunction()">addFunction</a>(<a href="../phpdoctor/methoddoc.html">MethodDoc</a> function)</p><p class="description">Add a function to this package.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addGlobal()">addGlobal</a>(<a href="../phpdoctor/fielddoc.html">FieldDoc</a> global)</p><p class="description">Add a global to this package.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc[]</a></td>
<td class="description"><p class="name"><a href="#allClasses()">allClasses</a>()</p><p class="description">Get all included classes (including exceptions and interfaces).</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#asPath()">asPath</a>()</p><p class="description">Return the package path.</p></td>
</tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#depth()">depth</a>()</p><p class="description">Calculate the depth of this package from the root.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc[]</a></td>
<td class="description"><p class="name"><a href="#exceptions()">exceptions</a>()</p><p class="description">Get exceptions in this package.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc</a></td>
<td class="description"><p class="name"><a href="#findClass()">findClass</a>(str className)</p><p class="description">Lookup for a class within this package.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/methoddoc.html">MethodDoc[]</a></td>
<td class="description"><p class="name"><a href="#functions()">functions</a>()</p><p class="description">Get functions in this package.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a></td>
<td class="description"><p class="name"><a href="#globals()">globals</a>()</p><p class="description">Get globals in this package.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc[]</a></td>
<td class="description"><p class="name"><a href="#interfaces()">interfaces</a>()</p><p class="description">Get interfaces in this package.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc[]</a></td>
<td class="description"><p class="name"><a href="#ordinaryClasses()">ordinaryClasses</a>()</p><p class="description">Get ordinary classes (excluding exceptions and interfaces) in this package.</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#getHTMLContents()">getHTMLContents</a>, <a href="../phpdoctor/doc.html#getRawCommentText()">getRawCommentText</a>, <a href="../phpdoctor/doc.html#isClass()">isClass</a>, <a href="../phpdoctor/doc.html#isConstructor()">isConstructor</a>, <a href="../phpdoctor/doc.html#isException()">isException</a>, <a href="../phpdoctor/doc.html#isField()">isField</a>, <a href="../phpdoctor/doc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/doc.html#isFunction()">isFunction</a>, <a href="../phpdoctor/doc.html#isGlobal()">isGlobal</a>, <a href="../phpdoctor/doc.html#isInterface()">isInterface</a>, <a href="../phpdoctor/doc.html#isMethod()">isMethod</a>, <a href="../phpdoctor/doc.html#isOrdinaryClass()">isOrdinaryClass</a>, <a href="../phpdoctor/doc.html#mergeData()">mergeData</a>, <a href="../phpdoctor/doc.html#name()">name</a>, <a href="../phpdoctor/doc.html#set()">set</a>, <a href="../phpdoctor/doc.html#setByRef()">setByRef</a>, <a href="../phpdoctor/doc.html#setTag()">setTag</a>, <a href="../phpdoctor/doc.html#tags()">tags</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/packagedoc.php.html#line52" class="location">classes/packageDoc.php at line 52</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(str name, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</code>
<div class="details">
<p>Constructor</p></div>

<hr>

<a href="../source/classes/packagedoc.php.html#line107" class="location">classes/packageDoc.php at line 107</a>

<h3 id="addClass()">addClass</h3>
<code class="signature">public  void <strong>addClass</strong>(<a href="../phpdoctor/classdoc.html">ClassDoc</a> class)</code>
<div class="details">
<p>Add a class to this package.</p></div>

<hr>

<a href="../source/classes/packagedoc.php.html#line132" class="location">classes/packageDoc.php at line 132</a>

<h3 id="addFunction()">addFunction</h3>
<code class="signature">public  void <strong>addFunction</strong>(<a href="../phpdoctor/methoddoc.html">MethodDoc</a> function)</code>
<div class="details">
<p>Add a function to this package.</p></div>

<hr>

<a href="../source/classes/packagedoc.php.html#line121" class="location">classes/packageDoc.php at line 121</a>

<h3 id="addGlobal()">addGlobal</h3>
<code class="signature">public  void <strong>addGlobal</strong>(<a href="../phpdoctor/fielddoc.html">FieldDoc</a> global)</code>
<div class="details">
<p>Add a global to this package.</p></div>

<hr>

<a href="../source/classes/packagedoc.php.html#line146" class="location">classes/packageDoc.php at line 146</a>

<h3 id="allClasses()">allClasses</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc[]</a> <strong>allClasses</strong>()</code>
<div class="details">
<p>Get all included classes (including exceptions and interfaces).</p><dl>
<dt>Returns:</dt>
<dd>An array of classes</dd>
</dl>
</div>

<hr>

<a href="../source/classes/packagedoc.php.html#line86" class="location">classes/packageDoc.php at line 86</a>

<h3 id="asPath()">asPath</h3>
<code class="signature">public  str <strong>asPath</strong>()</code>
<div class="details">
<p>Return the package path.</p></div>

<hr>

<a href="../source/classes/packagedoc.php.html#line95" class="location">classes/packageDoc.php at line 95</a>

<h3 id="depth()">depth</h3>
<code class="signature">public  int <strong>depth</strong>()</code>
<div class="details">
<p>Calculate the depth of this package from the root.</p></div>

<hr>

<a href="../source/classes/packagedoc.php.html#line155" class="location">classes/packageDoc.php at line 155</a>

<h3 id="exceptions()">exceptions</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc[]</a> <strong>exceptions</strong>()</code>
<div class="details">
<p>Get exceptions in this package.</p><dl>
<dt>Returns:</dt>
<dd>An array of exceptions</dd>
</dl>
</div>

<hr>

<a href="../source/classes/packagedoc.php.html#line219" class="location">classes/packageDoc.php at line 219</a>

<h3 id="findClass()">findClass</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc</a> <strong>findClass</strong>(str className)</code>
<div class="details">
<p>Lookup for a class within this package.</p><dl>
<dt>Parameters:</dt>
<dd>className - Name of the class to lookup</dd>
<dt>Returns:</dt>
<dd>A class</dd>
</dl>
</div>

<hr>

<a href="../source/classes/packagedoc.php.html#line209" class="location">classes/packageDoc.php at line 209</a>

<h3 id="functions()">functions</h3>
<code class="signature">public  <a href="../phpdoctor/methoddoc.html">MethodDoc[]</a> <strong>functions</strong>()</code>
<div class="details">
<p>Get functions in this package.</p><dl>
<dt>Returns:</dt>
<dd>An array of functions</dd>
</dl>
</div>

<hr>

<a href="../source/classes/packagedoc.php.html#line200" class="location">classes/packageDoc.php at line 200</a>

<h3 id="globals()">globals</h3>
<code class="signature">public  <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a> <strong>globals</strong>()</code>
<div class="details">
<p>Get globals in this package.</p><dl>
<dt>Returns:</dt>
<dd>An array of globals</dd>
</dl>
</div>

<hr>

<a href="../source/classes/packagedoc.php.html#line170" class="location">classes/packageDoc.php at line 170</a>

<h3 id="interfaces()">interfaces</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc[]</a> <strong>interfaces</strong>()</code>
<div class="details">
<p>Get interfaces in this package.</p><dl>
<dt>Returns:</dt>
<dd>An array of interfaces</dd>
</dl>
</div>

<hr>

<a href="../source/classes/packagedoc.php.html#line185" class="location">classes/packageDoc.php at line 185</a>

<h3 id="ordinaryClasses()">ordinaryClasses</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc[]</a> <strong>ordinaryClasses</strong>()</code>
<div class="details">
<p>Get ordinary classes (excluding exceptions and interfaces) in this package.</p><dl>
<dt>Returns:</dt>
<dd>An array of classes</dd>
</dl>
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/packagedoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>